API Reference

Watermark a Video with an Image

Add a visual or forensic watermark to you video

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Watermark Expiration Overview

Expiration:

  • This does not affect the expiration on AWS signed urls returned from the POST /watermark endpoint.
  • This only applies to the specified watermarked video.
  • Expiration must be set on the initial watermark request made for a video with specified watermark settings.
  • Once a video has been watermarked with specified watermark settings, the expiration property cannot be updated.
  • Changing the watermark settings even in the slightest way will create a new watermark for a video, which would allow you to set a new expiration.
    Example: If you are using a template to watermark videos, you could change the shadowOpacity from .33 -> .34 and that would allow you to set the expiration on the new watermarked video.

Watermarking Overview

Once a video has been ingested, you can request a watermark for the video using this endpoint. At it's simplest you just need the ID or KEY of the video and the text that you'd like you have as your watermark. SafeStream will locate the video that you've already ingested and it will apply the watermark to the file.

{
    "key": "my-internal-id",
    "settings": [
           {
        "content": "https://s3-us-west-1.amazonaws.com/watermark-api/stormtrooper.jpg",
      "type": "IMAGE",
      "x":0.2,
      "y":0.2,
      "align": "LEFT",
      "verticalAlign": "middle",
      }
    ]
}
Body Params
string

Optional: The key of the video that you'd like to watermark.

string

Optional: Use the ID SafeStream assigned to this asset during ingest

settings
array

An array of watermark settings to be applied to the video that should be watermarked. See below for details on the watermark setting properties.

settings
containers
array of strings
Defaults to ["m3u8","mp4"]

Defaults to m3u8 for HLS playback but also supports MP4 to specifically request a watermarked mp4 video for download.

containers
int32
Defaults to null

The max number of times the POST /watermark call can be made for a watermarked video. Watermarked video refers to a specific video with specific watermark settings. For security purposes, viewLimit can only be set on the initial request for watermarking a video.

int64
Defaults to null

Epoch time in SECONDS for a future date when the POST /watermark endpoint will no longer return a valid M3U8 for a given watermarked video. Watermarked video refers to a specific video with specific watermark settings. For security purposes, expiration can only be set on the initial request for watermarking a video.

Responses

Language
Credentials
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json